{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}
{% load humanize %}
{% load custom_tags %}
{% load mathfilters %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        #table-list{
            font-size: 10pt;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">BA Pembayaran</li>
        </ol>
    </nav>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Data BA Pembayaran</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
            <div class="card-title">
                <div class="col-md-12">
                    <div class="input-group">
                      <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-500px ps-13 filter" aria-describedby="basic-addon2" data-filter="query" placeholder="Cari Data" />
                      <div class="input-group-append">
                        <button class="form-control btn  btn-warning" onclick="filter_data(this, event, false)">Cari</button>
                        <button class="form-control btn  btn-danger" onclick="filter_data(this, event, true)">Reset</button>
                      </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        {% include 'profile/layouts/admin/pagination.html' %}
                        <table class="table table-striped table-bordered" id="table-list">
                            <thead class="bg-primary text-white">
                                <th class="text-center align-middle">No</th>
                                <th class="text-center align-middle">NO SPK</th>
                                <th class="text-center align-middle">SKPD</th>
                                <th class="text-center align-middle">Kegiatan</th>
                                <th class="text-center align-middle">Uraian Pekerjaan</th>
                                <th class="text-center align-middle">Perusahaan</th>
                                <th class="text-center align-middle">No Surat BA</th>
                                <th class="text-center align-middle">Jumlah Permohonan</th>
                                <th class="text-center align-middle">Aksi</th>
                            </thead>
                            <tbody>
                                {% for item_spk in page_obj %}
                                    <tr>
                                        <td>{{ forloop.counter0|add:page_obj.start_index }}</td>
                                        <td><span class="text"> {{item_spk.nospk}}</span></td>
                                        <td><span class="text"> {{item_spk.opd.namaopd}} {{item_spk.opd.lokasi.provinsi}} / {{item_spk.opd.lokasi.kabupaten}}</span></td>
                                        <td><span class="text"> {{item_spk.subkegiatan.kegiatan_nama}}</span></td>
                                        <td>{{item_spk.uraipekerjaan}}</td>
                                        <td>{{item_spk.perusahaan.namaperusahaan}}</td>
                                        {% if item_spk.spp_set.all %}
                                            <td> {{item_spk.spp_set.first.nosurat}}</td>
                                            <td>Rp. {{item_spk.total_tagihan|intcomma}} <br>
                                                <span class="badge badge-success">
                                                    <i class="bi bi-check-circle"></i> {{item_spk.spp_set.first.masterpembayaran.urai}}
                                                </span>
                                                

                                            </td>
                                        {% else %}
                                        
                                            <td>
                                                <div class="d-flex badge badge-danger text-center">
                                                    <i class="bi bi-exclamation-triangle mx-1"></i>
                                                    <span class="icon text-red-100" style="font-size: 9px;">
                                                        Belum membuat <br> BA Pembayaran
                                                    </span>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="d-flex badge badge-danger text-center">
                                                    <i class="bi bi-exclamation-triangle mx-1"></i>
                                                        <span class="icon text-red-100" style="font-size: 9px;">
                                                            Belum membuat <br> BA Pembayaran
                                                       </span>
                                                </div>
                                            </td>
                                        {% endif %}
                                        
                                        <td>
                                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
    
                                                <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
                                                  
                                                    <div class="btn-group" role="group">
                                                      <button type="button" class="btn btn-sm btn-info dropdown-toggle" data-toggle="dropdown">
                                                        <i class="bi bi-gear"></i> Aksi
                                                      </button>
                                                      <div class="dropdown-menu">
                                                        <a class="dropdown-item" href="{% url 'profile:admin_detail_pembayaran' item_spk.id %}"> <i class="bi bi-eye"></i> Detail </a>
                                                        {% if item_spk.spp_set.all %}
                                                            {% for spp_edit in permohonan_list  %}
                                                                {% if spp_edit.SPK_id == item_spk.id %}
                                                                <button class="dropdown-item text-black"  onclick="UbahBa(this)" data-alt="{% url 'profile:admin_permohonan_edit' spp_edit.id %}?id_spk={{spp_edit.SPK.id}}" data-modal-title="Ubah Permohonan Pembayaran"> <span class="fa fa-edit"></span> Ubah BA </button>
                                                                {% endif %}
                                                            {% endfor %}
                                                        {% else %}
                                                        <button class="dropdown-item text-black" onclick="TambahBa(this)" data-alt="{% url 'profile:admin_permohonan_create' item_spk.id %}" data-modal-title="Tambah Permohonan Pembayaran"> <span class="fa fa-plus"></span> Tambah BA </button>
                                                        {% endif %}
                                                        {% if item_spk.spp_set.all %}
                                                            <a class="dropdown-item" href="#" onclick="Printpembayaran(this)" data-alt="{% url 'profile:admin_permohonan_cetak' item_spk.id %}" data-modal-title="Print Permohonan Pembayaran"><i class="fa fa-print"></i> Print BA </a>
    
                                                            <a class="dropdown-item" href="#" onclick="Printkwitansi(this)" data-alt="{% url 'profile:admin_permohonan_cetak_kwitansi' item_spk.id %}" data-modal-title="Print Kwitansi"><i class="fa fa-print"></i> Print Kwitansi</a>
                                                            
                                                        
                                                        {% endif %}
                                                        
                                                      </div>
                                                    </div>
                                                  </div>
                                                
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {% include 'profile/layouts/admin/pagination.html' %}
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script>
        function Printkwitansi(e){
            showModal(e, {size : 'large'})
        }

        function Printpembayaran(e){
            showModal(e, {size : 'large'})
        }
        
        function UbahBa(e){
            showModal(e, {size : 'fullscreen'})
        }
        function TambahBa(e){
            showModal(e, {size : 'fullscreen'})
        }
        
        function print_ba(e, ev){
            ShowIframeReport(`${$(e).data('url')}?tanggal=${$('#tglprint').val()}`, 'Cetak Permohonan Pembayaran', ev)
        }
        function print_kwitansi(e, ev){
            ShowIframeReport(
                `${$(e).data('url')}?tanggal=${encodeURIComponent($('#tglprintkwitansi').val())}&bendahara=${encodeURIComponent($('#bendaharakwitansi').val())}&pptk=${encodeURIComponent($('#pptkkwitansi').val())}&pengguna=${encodeURIComponent($('#penggunakwitansi').val())}`,
                'Cetak kwitansi',
                ev
            );
        }
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/trans_spk/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Data SPK berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/trans_spk/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data SPK gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/trans_spk/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data SPK berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/trans_spk/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data SPK gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}